IF OBJECT_ID('[PackagesSlim_Combined]') IS NOT NULL DROP VIEW [PackagesSlim_Combined]
GO

CREATE VIEW [PackagesSlim_Combined]
AS
	SELECT NGP.[Feed_Id],
		   [Package_Name] = NGP.[Package_Id],
		   [Group_Name] = CAST(NULL AS VARCHAR(200)),
	       [FeedType_Name] = F.[FeedType_Name]
	  FROM [NuGetPackagesV2] NGP
	       INNER JOIN [Feeds] F
		           ON F.[Feed_Id] = NGP.[Feed_Id]

UNION ALL

	SELECT NGP.[Feed_Id],
		   [Package_Name] = NGP.[Package_Id],
		   [Group_Name] = CAST(NULL AS VARCHAR(200)),
	       [FeedType_Name] = F.[FeedType_Name]
	  FROM [NuGetPackages] NGP
	       INNER JOIN [Feeds] F
		           ON F.[Feed_Id] = NGP.[Feed_Id]

UNION ALL

	SELECT NP.[Feed_Id],
	       NP.[Package_Name],
		   [Group_Name] = NULLIF(NP.[Scope_Name], ''),
		   [FeedType_Name] = 'npm'
	  FROM [NpmPackages] NP
	 WHERE EXISTS(SELECT * FROM [NpmPackageVersions] NPV WHERE NPV.[Package_Id] = NP.[Package_Id])

UNION ALL

	SELECT BP.[Feed_Id],
	       BP.[Package_Name],
		   [Group_Name] = CAST(NULL AS VARCHAR(200)),
		   [FeedType_Name] = 'Bower'
	  FROM [BowerPackages] BP

UNION ALL

	SELECT MA.[Feed_Id],
		   [Package_Name] = MA.[ArtifactId_Text],
	       [Group_Name] = MA.[GroupId_Text],
		   [FeedType_Name] = 'Maven'
	  FROM [MavenArtifacts] MA
	 WHERE EXISTS(SELECT * FROM [MavenArtifactFiles] MAF WHERE MAF.[MavenArtifact_Id] = MA.[MavenArtifact_Id])
