EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerBlobs_CompleteUpload',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Completes a multipart blob upload.'
GO

IF OBJECT_ID('[DockerBlobs_CompleteUpload]') IS NOT NULL DROP PROCEDURE [DockerBlobs_CompleteUpload]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerBlobs_CompleteUpload]
(
	@Feed_Id INT,
	@Upload_Id VARCHAR(50)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE FROM [DockerBlobUploads]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Upload_Id] = @Upload_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [DockerBlobs_CompleteUpload] TO [ProGetUser_Role]
GO